Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Высота объекта MTEXT

Высота объекта MTEXT

Ответ
Поиск в этой теме
Непрочитано 13.05.2019, 17:16 #1
Высота объекта MTEXT
Massaraksh
 
Delphi, Assembler, PHP, VB, Lisp с 01.02.2019
 
Воронеж
Регистрация: 10.02.2019
Сообщений: 30

Добрый день.
Я создаю объекты MTEXT через entmakex, с фиксированной шириной. В них находится разнообразный текст.
Как определить высоту MTEXT после создания, для того, чтобы следующий MTEXT поместить под предыдущим без разрывов?
Просмотров: 1034
 
Непрочитано 13.05.2019, 17:18
1 | #2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,874


По-моему, группы 42 и 43 отвечают за ширину и высоту многострочника...
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 13.05.2019, 19:20
#3
Massaraksh

Delphi, Assembler, PHP, VB, Lisp с 01.02.2019
 
Регистрация: 10.02.2019
Воронеж
Сообщений: 30


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
По-моему, группы 42 и 43 отвечают за ширину и высоту многострочника...
Спасибо, проверил - работает. Только группы 41 и 43.

----- добавлено через ~18 мин. -----
И попутно вопрос - а что, в entmakex нельзя использовать выражения и переменные?
А то вот это ошибку даёт.
Код:
[Выделить все]
 (entmakex '(  (0 . "MTEXT") (100 . "AcDbEntity") (8 . "BKII") (100 . "AcDbMText") (370 . 0) (10 125.0 407.0 0.0) (40 . 3.0) (41 . 52.0) (50 . 0.0) (71 . 4) (72 . 5) (1 . "1234567890") (7 . "Arial") (73 . 1) (44 . 1.0)))
(setq a (entget (entlast)))
(setq h (assoc '43 a))
(entmakex '(  (0 . "MTEXT") (100 . "AcDbEntity") (8 . "BKII") (100 . "AcDbMText") (370 . 0) (10 125.0 (+ 407.0 h) 0.0) (40 . 3.0) (41 . 52.0) (50 . 0.0) (71 . 4) (72 . 5) (1 . "1234567890") (7 . "Arial") (73 . 1) (44 . 1.0)))
Massaraksh вне форума  
 
Непрочитано 13.05.2019, 20:36
1 | 1 #4
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,874


Цитата:
Сообщение от Massaraksh Посмотреть сообщение
а что, в entmakex нельзя использовать выражения и переменные?
А какая разница между ', quote и list?

----- добавлено через ~11 мин. -----
Код:
[Выделить все]
 (setq a (entget (entmakex '((0 . "MTEXT")
                            (100 . "AcDbEntity")
                            (8 . "BKII")
                            (100 . "AcDbMText")
                            (370 . 0)
                            (10 125.0 407.0 0.0)
                            (40 . 3.0)
                            (41 . 52.0)
                            (50 . 0.0)
                            (71 . 4)
                            (72 . 5)
                            (1 . "1234567890")
                            (7 . "Arial")
                            (73 . 1)
                            (44 . 1.0)
                            )
                          ) ;_ end of entmakex
                ) ;_ end of entget
      ) ;_ end of setq
(setq h (cdr (assoc 43 a)))
(setq b (entmakex (list '(0 . "MTEXT")
                        '(100 . "AcDbEntity")
                        '(8 . "BKII")
                        '(100 . "AcDbMText")
                        '(370 . 0)
                        (cons 10 (list 125.0 (+ 407.0 h) 0.0))
                        '(40 . 3.0)
                        '(41 . 52.0)
                        '(50 . 0.0)
                        '(71 . 4)
                        '(72 . 5)
                        '(1 . "1234567890")
                        '(7 . "Arial")
                        '(73 . 1)
                        '(44 . 1.0)
                        ) ;_ end of list
                  ) ;_ end of entmakex
      ) ;_ end of setq
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 13.05.2019, 21:16
#5
Massaraksh

Delphi, Assembler, PHP, VB, Lisp с 01.02.2019
 
Регистрация: 10.02.2019
Воронеж
Сообщений: 30


Спасибо. Правда свой рабочий вариант уже сделал, но значительно более сложный.

----- добавлено через ~6 мин. -----
P.S.: А в разнице между ' quote list я так пока и не разобрался. Руки не дошли.
Massaraksh вне форума  
 
Непрочитано 13.05.2019, 21:27
#6
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,874


Цитата:
Сообщение от Massaraksh Посмотреть сообщение
А в разнице между ' quote list я так пока и не разобрался. Руки не дошли.
Советую все бросить и сначала разобраться именно с этим.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Высота объекта MTEXT

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Консервация объектов незавершенного строительства msv_mnv Обследование зданий и сооружений 6 11.11.2017 23:07
Высота чердака и расположение ферм, холодный цех для переработки грибов с наружным каркасом Tyhig Архитектура 3 19.07.2016 17:24
Высота от пола до потолка 2 м-техэтаж, техподполье или ни то, ни другое? МаксКад Архитектура 4 25.06.2016 09:56
Нахождение расстояния между точками на чертеже Макс_Кунгур Программирование 68 03.09.2010 22:01
Получение разрешения на строительство объекта капитального строительства maxummm Прочее. Архитектура и строительство 18 25.08.2010 20:31